
Foreman - Refactor #27588

Bug # 26760 (Closed): Audits page is very slow

refactor audit extensions to rely less on taxonomix

08/12/2019 09:57 AM - Tomer Brisker

Status: Closed   

Priority: Normal   

Assignee: Tomer Brisker   

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases: 1.24.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/6973

  

Description

This will allow simplifying taxonomix as well as refactoring the handling of calculating audits in current taxonomies

Related issues:

Related to Foreman - Refactor #25754: simplify audit_extensions.rb New

Associated revisions

Revision ebc93a15 - 08/15/2019 08:27 AM - Tomer Brisker

Fixes #27588 - Refactor audit taxonomy handling

This stops relying on `with_taxonomy_scope` to handle objects that are

only scoped by one taxonomy, allowing for simplifying that method and

eventually improving the performance of these lookups.

History

#1 - 08/12/2019 09:58 AM - Tomer Brisker

- Related to Refactor #25754: simplify audit_extensions.rb added

#2 - 08/12/2019 10:02 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/6973 added

#3 - 08/15/2019 08:27 AM - The Foreman Bot

- Fixed in Releases 1.24.0 added

#4 - 08/15/2019 09:01 AM - Tomer Brisker

- Status changed from Ready For Testing to Closed

Applied in changeset ebc93a15154c222249f0235d6dcceb9fe7dd6306.
